<?php

namespace Ulmus\Attribute\Property\Field;

#[\Attribute(\Attribute::TARGET_PROPERTY)]
class Bit extends \Ulmus\Attribute\Property\Field
{
    public function __construct(
        public ? string $name = null,
        public ? string $type = "bit",
        public null|int|string $length = null,
        public ? int $precision = null,
        public array $attributes = [],
        public bool $nullable = false,
        public mixed $default = null,
        public bool $readonly = false,
    ) {}
}