<?php

namespace Ulmus\Query;

use Ulmus\Query;

interface QueryBuilderInterface
{
    public function push(Fragment $queryFragment) : self;
    public function pull(Fragment $queryFragment) : self;
    public function render(bool $skipToken = false) /* mixed */;
    public function reset() : void;
    public function getFragment(string $class, int $index = 0) : ? Fragment;
    public function removeFragment(Query\Fragment|array|\Stringable|string $fragment) : void;
}